import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsPagination as GdsPaginationClass } from "../../../components/pagination/pagination.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsPagination = (props) => {
  GdsPaginationClass.define();
  const JSXElement = getReactComponent("gds-pagination");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsPagination.displayName = "GdsPagination";
export {
  GdsPagination
};
